Bug 1105202 - Insecure setting in the default VNC configuration
Summary: Insecure setting in the default VNC configuration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xrdp
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Itamar Reis Peixoto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-05 15:13 UTC by Ian Collier
Modified: 2015-07-08 17:13 UTC (History)
2 users (show)

Fixed In Version: xrdp-0.6.1-3.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-15 13:28:59 UTC


Attachments (Terms of Use)

Description Ian Collier 2014-06-05 15:13:02 UTC
In a fresh install of xrdp-0.6.1-2.fc20.x86_64, the file /etc/xrdp/sesman.ini says:

[Xvnc]
param1=-bs
param2=-ac
param3=-nolisten
param4=tcp
param5=-localhost
param6=-dpi
param7=96

Where (according to Xserver(1)):

       -ac     disables  host-based access control mechanisms.  Enables access
               by any host, and permits any host to modify the access  control
               list.   Use with extreme caution.  This option exists primarily
               for running test suites remotely.

This seems like a very bad idea.  It would allow anyone with an account on the system to connect to the session of someone who is logged in via xrdp.

Comment 1 Fedora End Of Life 2015-05-29 12:02:13 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Fedora Update System 2015-06-04 07:07:11 UTC
xrdp-0.6.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xrdp-0.6.1-3.el6

Comment 3 Fedora Update System 2015-06-04 07:08:21 UTC
xrdp-0.6.1-10.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/xrdp-0.6.1-10.fc22

Comment 4 Fedora Update System 2015-06-04 07:30:10 UTC
xrdp-0.6.1-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xrdp-0.6.1-10.fc21

Comment 5 Fedora Update System 2015-06-04 15:57:31 UTC
Package xrdp-0.6.1-3.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing xrdp-0.6.1-3.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2015-6561/xrdp-0.6.1-3.el6
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-06-14 05:03:01 UTC
xrdp-0.6.1-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/xrdp-0.6.1-3.el5

Comment 7 Fedora Update System 2015-06-15 13:28:59 UTC
xrdp-0.6.1-10.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-06-15 13:29:04 UTC
xrdp-0.6.1-10.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-06-20 21:11:53 UTC
xrdp-0.6.1-3.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-08 17:13:10 UTC
xrdp-0.6.1-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.